Bug 807312 - Support user-specified layouts
Support user-specified layouts
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: distribute (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jeff Darcy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 09:37 EDT by Jeff Darcy
Modified: 2013-07-24 14:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 14:00:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Darcy 2012-03-27 09:37:06 EDT
Several users have specified a desire for more control over data placement, e.g. to limit files within a directory to servers in a particular rack or to deal with heterogeneous brick sizes.  Almost all of this can be done from a script, with the caveat that the user's carefully calculated layouts will be stomped the next time rebalance is run.  Therefore, the minimal change we can make to support these needs is to define a layout type that behaves exactly like the one we currently have except that fix-layout (and thus migrate-data) will leave it alone.
Comment 1 Jeff Darcy 2012-03-27 09:39:34 EDT
http://review.gluster.com/#change,3004
Comment 2 Amar Tumballi 2012-08-05 14:51:22 EDT
http://review.gluster.com/3004 is commited to master branch

Note You need to log in before you can comment on or make changes to this bug.